## com.sun.jersey.core.spi.scanning
Class FilesScanner

    java.lang.Object
      com.sun.jersey.core.spi.scanning.FilesScanner

All Implemented Interfaces:
  Scanner

    public class FilesScanner

extends java.lang.Object
implements Scanner

A scanner that recursively scans directories and jar files. Files or jar entries are reported to a `ScannerListener`.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`FilesScanner(java.io.File[] files)` Scan from a set of files.

Method Summary
`void` | `scan(ScannerListener cfl)` Perform a scan and report resources to a scanning listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilesScanner

    public FilesScanner(java.io.File[] files)

  Scan from a set of files.

  Parameters:
    `files` - an array of files that are either directories or jar files ending in the suffix '.jar' or '.zip'. Any other type of file is ignored.

Method Detail

### scan

    public void scan(ScannerListener cfl)

  Description copied from interface: `Scanner`
  Perform a scan and report resources to a scanning listener.

  Specified by:
    `scan` in interface `Scanner`
  Parameters:
    `cfl` - the scanning listener to report entries.

Copyright © 2017 Oracle Corporation. All Rights Reserved.